Bug 60220 - bogus man page link in cups-1.1.14-2
bogus man page link in cups-1.1.14-2
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: cups (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: wdovlrrw
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-22 08:06 EST by Jonathan Kamens
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-12 05:22:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Kamens 2002-02-22 08:06:39 EST
jik:~!12> ls -l /usr/share/man/man1/cancel-cups.1.gz
lrwxrwxrwx    1 root     root            7 Feb 22 02:37
/usr/share/man/man1/cancel-cups.1.gz -> lp.1.gz
jik:~!13> ls -lL /usr/share/man/man1/cancel-cups.1.gz
ls: /usr/share/man/man1/cancel-cups.1.gz: No such file or directory
Comment 1 Bernhard Rosenkraenzer 2002-02-26 07:16:53 EST
This looks like alternatives is messing up. 
The alternatives config stuff in cups looks correct: 
 
/usr/sbin/alternatives --install %{_bindir}/lpr print %{_bindir}/lpr.cups 30 \ 
         --slave %{_bindir}/lp print-lp %{_bindir}/lp.cups \ 
         --slave %{_bindir}/lpq print-lpq %{_bindir}/lpq.cups \ 
         --slave %{_bindir}/lprm print-lprm %{_bindir}/lprm.cups \ 
         --slave %{_bindir}/lpstat print-lpstat %{_bindir}/lpstat.cups \ 
         --slave %{_bindir}/cancel print-cancel %{_bindir}/cancel.cups \ 
         --slave %{_sbindir}/lpc print-lpc %{_sbindir}/lpc.cups \ 
         --slave %{_mandir}/man1/cancel.1.gz print-cancelman 
%{_mandir}/man1/cancel-cups.1.gz > /dev/null 2>&1 
         --slave %{_mandir}/man1/lp.1.gz print-lpman %{_mandir}/man1/lp-cups.1.gz > 
/dev/null 2>&1 
         --slave %{_mandir}/man1/lpq.1.gz print-lpqman %{_mandir}/man1/lpq-cups.1.gz > 
/dev/null 2>&1 
         --slave %{_mandir}/man1/lpr.1.gz print-lprman %{_mandir}/man1/lpr-cups.1.gz > 
/dev/null 2>&1 
         --slave %{_mandir}/man1/lprm.1.gz print-lprmman %{_mandir}/man1/lprm-cups.1.gz > 
/dev/null 2>&1 
         --slave %{_mandir}/man1/lpstat.1.gz print-lpstatman 
%{_mandir}/man1/lpstat-cups.1.gz > /dev/null 2>&1 
 
 
The lp-cups.1.gz -> lp.1.gz symlink apparently isn't created by alternatives.
Comment 2 Bernhard Rosenkraenzer 2002-02-26 10:05:23 EST
 Argh, no, it's a cups %post bug after all, I've just overlooked the redirection 
copy&paste bug.
Comment 3 Bernhard Rosenkraenzer 2002-02-26 10:08:42 EST
Fixed in 1.1.14-4
Comment 4 Jonathan Kamens 2002-02-28 12:29:40 EST
So, now I've got cups-1.1.14-5 installed, and I'm still seeing symlink errors:

> ls -l /usr/share/man/man1/cancel.1.gz 
lrwxrwxrwx    1 root     root           33 Feb  6 08:45
/usr/share/man/man1/cancel.1.gz -> /etc/alternatives/print-cancelman
> ls -lL !$
ls -lL /usr/share/man/man1/cancel.1.gz
ls: /usr/share/man/man1/cancel.1.gz: No such file or directory
> ls -l /usr/share/man/man1/cancel-cups.1.gz 
lrwxrwxrwx    1 root     root            7 Feb 27 12:01
/usr/share/man/man1/cancel-cups.1.gz -> lp.1.gz
> ls -lL !$
ls -lL /usr/share/man/man1/cancel-cups.1.gz
ls: /usr/share/man/man1/cancel-cups.1.gz: No such file or directory
> 
Comment 5 Bernhard Rosenkraenzer 2002-03-11 10:17:18 EST
That was an alternatives bug. 
Update to the current packages. 
Comment 6 Jonathan Kamens 2002-03-11 11:35:13 EST
OK, I'm getting a little irked :-).

I have current versions of both chkconfig (which contains alternatives) and
cups, and the links are still broken:

> ls -lL /usr/share/man/man1/cancel.1.gz /usr/share/man/man1/cancel-cups.1.gz
ls: /usr/share/man/man1/cancel.1.gz: No such file or directory
ls: /usr/share/man/man1/cancel-cups.1.gz: No such file or directory
> ls -l /usr/share/man/man1/cancel.1.gz /usr/share/man/man1/cancel-cups.1.gz
lrwxrwxrwx    1 root     root            7 Mar  9 20:59
/usr/share/man/man1/cancel-cups.1.gz -> lp.1.gz
lrwxrwxrwx    1 root     root           33 Feb  6 08:45
/usr/share/man/man1/cancel.1.gz -> /etc/alternatives/print-cancelman
> rpm -q chkconfig cups
chkconfig-1.2.29-3
cups-1.1.14-7
jik:~!10> 

Chkconfig was upgraded on February 22.  Cups was upgraded on March 9.
Comment 7 Bernhard Rosenkraenzer 2002-03-12 05:22:34 EST
Version numbers? 
I'm definitely not seeing this problem with  
 
chkconfig-1.3.0-1 
cups-1.1.14-9 
Comment 8 Jonathan Kamens 2002-03-14 22:39:33 EST
You're right, this appears to be fixed in current packages.

Note You need to log in before you can comment on or make changes to this bug.